<div class="form-container">
    <h1>Sign Up</h1>
    <form #signup="ngForm" ngNativeValidate (ngSubmit)="submit(signup)">
        <div class="formgroup">
            <label for="name" class="slabel">Name</label><br>
            <input type="text" name="name" ngModel required>
        </div>
        <pre></pre>
        <div class="formgroup">
            <label for="email" class="slabel">Email</label><br>
            <input type="email" name="email" ngModel required>
        </div>
        <pre></pre>
        <div class="formgroup">
            <label for="password" class="slabel">Password</label><br>
            <input type="password" name="password" ngModel required>
        </div>
        <pre></pre>
        <div class="formgroup">
            <input type="submit" value="Sign Up">
        </div>
    </form>
</div>
<app-popup></app-popup>